Module java.base
Package java.util

# Enum Class Locale.Category

java.lang.Object
java.lang.Enum<Locale.Category>
java.util.Locale.Category

All Implemented Interfaces:
  `Serializable`, `Comparable<Locale.Category>`, `Constable`

Enclosing class:
  Locale

public static enum Locale.Category extends Enum<Locale.Category>
Enum for locale categories. These locale categories are used to get/set the default locale for the specific functionality represented by the category.

Since:
  1.7
See Also:
  `Locale.getDefault(Locale.Category)`, `Locale.setDefault(Locale.Category, Locale)`

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DISPLAY`
Category used to represent the default locale for displaying user interfaces.
`FORMAT`
Category used to represent the default locale for formatting dates, numbers, and/or currencies.

## Method Summary

Modifier and Type
Method
Description
`static Locale.Category`
`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static Locale.Category[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DISPLAY

public static final Locale.Category DISPLAY
Category used to represent the default locale for displaying user interfaces.

### FORMAT

public static final Locale.Category FORMAT
Category used to represent the default locale for formatting dates, numbers, and/or currencies.

## Method Details

### values

public static Locale.Category[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Locale.Category valueOf​(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null